---
layout: post
title:  "Tripoli receives NSF funding"
date:   2022-03-01 00:00:00 -0500
categories: tripoli
---
#### Announcement and Call to Participate
PIs Noah McLean, Scott Burdick, and Jim Bowring (see [About](/Tripoli/about.html)) have received a
three-year NSF grant (see [Abstract](/Tripoli/nsf_award_abstract.html)) to develop a new version of 
the software product Tripoli.

##### Tripoli Description
Tripoli imports raw mass spectrometer data files and supports interactive review and archiving of 
isotopic data. Tripoli facilitates visualization of temporal trends and scatter during measurement, 
statistically rigorous filtering of data, and calculation of statistical parameters.

##### Mission
Our mission is to develop the Tripoli software product collaboratively with the user community. One
important goal is to create a culture and practice of sustainability to ensure a long life-span for
Tripoli.

##### History
The original [Tripoli](https://github.com/bowring/tripoli) dates from 2002 and is in wide use and is maintained.

##### Development Plan
We are implementing an agile development process to support collaboration:  

1) We are hosting Tripoli
development on GitHub at https://github.com/cirdles/Tripoli as an open source repository.  This 
repository will house all artifacts including meeting agendas and minutes, requirements documents for
functionality, data formats, tests, and UX design.  It will contain the content of this website 
http://cirdles.org/Tripoli in the ["docs"](https://github.com/CIRDLES/Tripoli/tree/main/docs) folder.
The repository has additional support for [projects](https://github.com/CIRDLES/Tripoli/projects), 
[discussions](https://github.com/CIRDLES/Tripoli/discussions), and a 
[Wiki](https://github.com/CIRDLES/Tripoli/wiki). In order to participate on GitHub, users will need to
create a free account at [GitHub.com](https://github.com).

2) We will maintain a [website](http://cirdles.org/Tripoli) that provides timely updates and tutorials as we develop them.  If you are reluctant to get a GitHub acount, this site is for you.

3) We will host regularly scheduled Zoom meetings for collaboration among community members.

4) Agile development is iterative and driven by use cases and requests provided by the community.  If you join 
GitHub, you will be able to start and join [discussions](https://github.com/CIRDLES/Tripoli/discussions).  Here
you can propose needed functionality or discuss current progress, etc.

5) Agile development is test-driven.  This simply means that we should be able to think of a way to test any
functionality that we want Tripoli to implement.  So, in addition to describing the functionality,
we write some test cases
in natural language that provide 
both the inputs and the expected outcomes for each test.

6) We intend to follow the open source practice of "release early and often."

7) Community members can contribute in many ways:

   1) Join GitHub and participate in [discussions](https://github.com/CIRDLES/Tripoli/discussions).
   
   2) Attend and contribute to team Zoom meetings.
   
   3) Download releases and provide evaluations and suggestions via 
   [GitHub Issues](https://github.com/CIRDLES/Tripoli/issues).
   
   4) Contribute actual or synthetic data for testing.
   
   5) Contribute to and maintain the [Wiki](https://github.com/CIRDLES/Tripoli/wiki) 
   and / or [website](http://cirdles.org/Tripoli/).
   
   6) Contribute tutorials about your related expertise and / or about using Tripoli as it matures.
   
   7) Become and / or recruit people to inherit key roles in the development process.
   
   8) Take a leading role in establishing our industrial-academic oversight board that is envisioned as
   a vehicle to establish sustainability and maintenance plans for the Tripoli product.